Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex
Interface ControlPlayback

All Known Implementing Classes:
  Shouter

public interface ControlPlayback

Interface for classes controlling the playback of Tracks.

Author:
  Nigel Atkinson (nigel@neoworks.com)

Method Summary
`void` | `cpStop()` Stop playing.
`Track` | `getPlaying()` Get the currently playing Track
`long` | `getRemainingPlayingTime()` Get the remaining play time for the current Track
`TrackSource` | `getTrackSource()` Get the currently playing TrackSource.
`boolean` | `isPaused()` Test whether the playback is paused
`void` | `pause()` Pause playback
`void` | `play()` Play the current/next available Track.
`void` | `setTrackSource(TrackSource ts)` Set the TrackSource to play from.
`void` | `skip()` Skip to the next available Track.

Method Detail

### getPlaying

    public Track getPlaying()

  Get the currently playing Track

  Returns:
    The Track that is currently playing

### play

    public void play()

  Play the current/next available Track.

### isPaused

    public boolean isPaused()

  Test whether the playback is paused

  Returns:
    boolean indicating whether playback is paused

### pause

    public void pause()

  Pause playback

### skip

    public void skip()

  Skip to the next available Track.

### cpStop

    public void cpStop()

  Stop playing. This has a silly name as many ControlPlayback implementations will probably extend Thread.

### getRemainingPlayingTime

    public long getRemainingPlayingTime()

  Get the remaining play time for the current Track

  Returns:
    The remaining play time in milliseconds

### getTrackSource

    public TrackSource getTrackSource()

  Get the currently playing TrackSource.

  Returns:
    The TrackSource that is currently playing

### setTrackSource

    public void setTrackSource(TrackSource ts)

  Set the TrackSource to play from.

  Parameters:
    `ts` - The TrackSource for this onbject to play from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD